<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->
</head>
<body>

<div id="wrapper">

    <div th:if="${activeNav == 'admin'}">
        <div th:replace="fragments/layout :: header('admin')"></div>
    </div>
    <div th:if="${activeNav != 'admin'}">
        <div th:replace="fragments/layout :: header('user')"></div>
    </div>


    <!--CAROUSEL-->
    <!--<div th:replace="fragments/layout :: carousel-sm"></div>-->

    <main id="main" class="container mt-2">

        <div class="d-lg-flex">
            <!--SIDE NAV-->
            <div class="sideNavWrapper m-2" th:if="${activeNav == 'profile'}">
                <h4 class="h4" th:text="${user.getFullName()}"></h4>
                <p class="text-muted mb-0" th:text="${user.getEmail()}"></p>
                <p class="text-muted" th:if="${user.getCompany() != null}" th:text="${user.getCompany()}"></p>

                <div th:replace="fragments/layout :: sideNav(${activeNav})"></div>
            </div>
            <div class="p-2" th:if="${activeNav == 'admin'}">
                <div class="mb-2">
                    <a class="btn btn-sm btn-outline-secondary w-100" th:href="@{/admin/user/detail/} + ${user.id}">
                        <i class="fas fa-chevron-left mr-2"></i>
                        Zpět na detail
                    </a>
                </div>
                <div th:replace="fragments/layout :: adminSideNav(${isProfile} ? 'profile' : 'users')"></div>
            </div>

            <div class="flex-grow-1 p-2">

                <!--HEADING-->
                <!--<h3 th:if="${activeNav == 'profile'}" class="pb-2 pt-1">Profil</h3>-->
                <h3 th:if="${activeNav == 'admin'}" th:text="${user.getFullName()}" class="pb-2 pt-1"></h3>

                <div th:replace="fragments/layout :: alerts"></div>

                <form class="needs-validation" method="post" th:action="@{/user/update}" th:object="${user}"
                      th:fragment="signupForm" novalidate>

                    <!--HIDDEN-->
                    <input type="hidden" th:field="*{id}">
                    <input type="hidden" th:if="*{address != null}" th:field="*{address.id}">

                    <!--GENERAL INFO-->
                    <div class="card mb-2">
                        <div class="card-header">
                            Základní údaje
                        </div>
                        <div class="card-body">
                            <div class="form-group row">
                                <!--NAME-->
                                <label for="firstName" class="col-md-3 col-lg-2 col-form-label">Jméno:</label>
                                <div class="col-md-9 col-lg-4 mb-3 mb-lg-0">
                                    <input type="text" class="form-control" id="firstName" th:field="*{name}"
                                           th:classappend="${#fields.hasErrors('name')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">jméno je povinné</span>
                                </div>
                                <!--SURNAME-->
                                <label for="surname" class="col-md-3 col-lg-2 col-form-label">Příjmení:</label>
                                <div class="col-md-9 col-lg-4">
                                    <input type="text" class="form-control" id="surname" th:field="*{surname}"
                                           th:classappend="${#fields.hasErrors('surname')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">příjmení je povinné</span>
                                </div>
                            </div>
                            <!--COMPANY-->
                            <div class="form-group row">
                                <label for="company" class="col-md-3 col-lg-2 col-form-label">Firma:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="text" class="form-control" id="company" th:field="*{company}">
                                </div>
                            </div>

                            <div th:if="${emailErrorMessage != null}"
                                 class="alert alert-danger alert-dismissible fade show" role="alert">
                                již existuje uživatel se touto emalovou adresou!
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>

                            <!--EMAIL-->
                            <div class="form-group row">
                                <label for="email" class="col-md-3 col-lg-2 col-form-label">Email:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="email" class="form-control" id="email" th:field="*{email}"
                                           th:classappend="${#fields.hasErrors('email')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">email musí mýt správný formát</span>
                                </div>
                            </div>

                            <!--PHONE-->
                            <div class="form-group row">
                                <label for="phoneNumber" class="col-md-3 col-lg-2 col-form-label">Telefon:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="text" class="form-control" id="phoneNumber" th:field="*{phoneNumber}"
                                           th:classappend="${#fields.hasErrors('phoneNumber')} ? 'is-invalid'">
                                    <span class="text-danger invalid-feedback">telefonní číslo je povinné</span>
                                </div>
                            </div>

                            <!--Č.OP/RČ-->
                            <div class="form-group row">
                                <label for="idNumber" class="col-md-3 col-lg-2 col-form-label">Číslo OP/RČ:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="text" class="form-control" id="idNumber" th:field="*{idNumber}"
                                           th:classappend="${#fields.hasErrors('idNumber')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">číslo občanky nebo rodné číslo je povinné</span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!--ADDRESS-->
                    <div class="card mb-2">
                        <div class="card-header">
                            Adresa
                        </div>
                        <div class="card-body">

                            <input type="hidden" th:if="*{address != null}" th:field="*{address.id}">

                            <!--CITY-->
                            <div class="form-group row">
                                <label for="city" class="col-md-3 col-lg-2 col-form-label">Město:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="text" class="form-control" id="city" th:field="*{address.city}"
                                           th:classappend="${#fields.hasErrors('address.city')} ? 'is-invalid'"
                                           required>
                                    <span class="text-danger invalid-feedback">město je povinné</span>
                                </div>
                            </div>

                            <!--STREET-->
                            <div class="form-group row">
                                <label for="street" class="col-md-3 col-lg-2 col-form-label">Ulice:</label>
                                <div class="col-md-9 col-lg-10">
                                    <input type="text" class="form-control" id="street" th:field="*{address.street}"
                                           th:classappend="${#fields.hasErrors('address.street')} ? 'is-invalid'"
                                           required>
                                    <span class="text-danger invalid-feedback">ulice je povinná</span>
                                </div>
                            </div>

                            <div class="form-group row">
                                <!--ZIP-->
                                <label for="zip" class="col-md-3 col-lg-2 col-form-label">Zip:</label>
                                <div class="col-md-9 col-lg-4 mb-3 mb-lg-0">
                                    <input type="text" class="form-control" id="zip" th:field="*{address.zip}"
                                           th:classappend="${#fields.hasErrors('address.zip')} ? 'is-invalid'" required>
                                    <span class="text-danger invalid-feedback">zip je povinný</span>
                                </div>
                                <!--STATE-->
                                <label for="state" class="col-md-3 col-lg-2 col-form-label">Stát:</label>
                                <div class="col-md-9 col-lg-4">
                                    <input type="text" class="form-control" id="state" th:field="*{address.state}"
                                           th:classappend="${#fields.hasErrors('address.state')} ? 'is-invalid'"
                                           required>
                                    <span class="text-danger invalid-feedback">stát je povinný</span>
                                </div>
                            </div>

                        </div>
                    </div>

                    <!--PASSWORD-->
                    <div class="card mb-2" th:if="${isProfile}">
                        <div class="card-header">
                            Změna hesla
                        </div>
                        <div class="card-body">
                            <div class="form-group row">
                                <label for="password" class="col-md-3 col-lg-2 col-form-label">Nové heslo:</label>
                                <div class="col-md-9 col-lg-4 mb-3 mb-lg-0">
                                    <input type="password" class="form-control" id="password" th:field="*{password}"
                                           th:classappend="${#fields.hasErrors('password')} ? 'is-invalid'"
                                           minlength="8">
                                    <span class="text-danger invalid-feedback">heslo musí mít minimálně 8 znaků</span>
                                </div>
                                <label for="password2" class="col-md-3 col-lg-2 col-form-label">Heslo znovu:</label>
                                <div class="col-md-9 col-lg-4">
                                    <input type="password" class="form-control" id="password2">
                                    <span class="text-danger invalid-feedback">hesla se neshodují</span>
                                </div>
                            </div>
                        </div>
                    </div>


                    <button type="submit" id="saveButton" class="btn btn-orange w-100 w-sm-auto px-5 float-right">Uložit</button>

                </form>
            </div>
        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

<script>
    jQuery(document).ready(function () {

        /**REGISTRATION VALIDATION*/
        $('#saveButton').on('click', function () {
            validateEmail($('#email'))
        });
        $('#email').on('input', function () {
            validateEmail($('#email'))
        });

        $('#saveButton').on('click', function () {
            comparePasswords($('#password'), $('#password2'), false)
        });
        $('#password').on('input', function () {
            checkPassword($('#password'), $('#password2'), false)
        });
        $('#password2').on('input', function () {
            comparePasswords($('#password'), $('#password2'), false)
        });


    });
</script>

</body>
</html>